package com.ssj.service.sys.train.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ssj.bean.sys.train.bean.VideoUser;
import com.ssj.framework.core.common.service.BaseService;


public interface VideoUserService extends BaseService<VideoUser, String> {

	public Page<Map<String, Object>> findTeaInfoNumByPage(Map<String, Object> params, Pageable pageable);
	
	public Map<String, Object> findTrainVideoUserByPage(Map<String, Object> params);
	
	public List<Map<String, Object>> findTrainVideoUserByUserId(String userId);
	
	public List<VideoUser> findVideoUserByUserIdAndRoleType(Integer roleType,String userId);
	
	public List<VideoUser> findVideoUserByUserIdAndVideoId(String videoId, String userId);
	
}
